cURL
curl --request DELETE \
--url https://api.salvy.com.br/api/v3/cost-centers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"replacementId": "0198c2f1-3815-45b7-9e60-8e137cad845c"
}
'import requests
url = "https://api.salvy.com.br/api/v3/cost-centers/{id}"
payload = { "replacementId": "0198c2f1-3815-45b7-9e60-8e137cad845c" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({replacementId: '0198c2f1-3815-45b7-9e60-8e137cad845c'})
};
fetch('https://api.salvy.com.br/api/v3/cost-centers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "unauthorized",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "resource-not-found",
"message": "<string>"
}{
"code": "payload-too-large",
"message": "<string>"
}{
"code": "input-validation-error",
"message": "<string>",
"details": [
{
"key": "<string>",
"message": "<string>"
}
]
}{
"code": "unknown",
"message": "<string>"
}Centros de custo
Remover centro de custo
Exclui um centro de custo. As linhas e os colaboradores vinculados a ele são transferidos para o centro de custo informado em replacementId; quando replacementId é null, ficam sem centro de custo.
DELETE
/
api
/
v3
/
cost-centers
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Centro de custo que recebe as linhas e os colaboradores vinculados ao centro excluído. Envie null para deixá-los sem centro de custo.
Example:
"0198c2f1-3815-45b7-9e60-8e137cad845c"